package app

import (
	"github.com/urfave/cli"
)

// AppCommand defines the `abra app` command and ets subcommands
var AppCommand = cli.Command{
	Name:      "app",
	Aliases:   []string{"a"},
	Usage:     "Manage apps",
	ArgsUsage: "<app>",
	Description: `
This command provides all the functionality you need to manage the life cycle
of your apps. From initial deployment to day-2 operations to scaling apps up
and spinning them down.
`,
	Subcommands: []cli.Command{
		appNewCommand,
		appConfigCommand,
		appRestartCommand,
		appDeployCommand,
		appUpgradeCommand,
		appUndeployCommand,
		appRemoveCommand,
		appCheckCommand,
		appListCommand,
		appPsCommand,
		appLogsCommand,
		appCpCommand,
		appRunCommand,
		appRollbackCommand,
		appSecretCommand,
		appVolumeCommand,
		appVersionCommand,
		appErrorsCommand,
	},
}
